Entities CES Statistics
Get Aggregated CES Data for one entity
Request
Parameters
entity_id*uuidPermanent ID of the entity
Example: "753c48d6-23c8-5fb0-9230-b099898452b5"sizeintegerNumber of records per page
Default: 10Range: [1, 1000]search_afterstringsearch_afterfield value from the previous pagedatedate (operator)Extraction date
Example: "between:2022-01-01;2022-01-02"orderfield:directionOrder to apply to the result.
Possible fields are:
date,value.Possible directions are:
Default: date:ascExample: "date:asc"ascanddesc.functionstring (enum)Function to apply to the result.
Default: "first"Values: "min", "max", "first", "last", "avg"periodstring (enum)Period to apply the function to.
Example: with
Default: "all"Values: "all", "day", "week", "month", "quarter", "year"period=quarterlyandfunction=first, the result will contain each quarter's first ces value per entity.
Response
Aggregated CES Scores
data*object[]Paginated Entities CES Aggregation list.
size*integerNumber of records per page requested.
Example: 1has_next*booleanTrue if there are more records available.
Example: truecount*integerNumber of records returned in the current page.
Example: 1search_after*string | nullCursor for next page.
{
"data": [
{
"period_start_date": "2025-05-06",
"period_end_date": "2025-05-13",
"value": 89
}
],
"size": 1,
"has_next": true,
"count": 1,
"search_after": "string"
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*numberError code.
reason*string
{
"message": "Not authorized to access this resource",
"code": 0,
"reason": "string"
}